Summary
Clone Automation
Description
Clone an Automation.
Route
POST /operations-manager/automations/clone
Roles
admin
apiwrite
engineering
Parameters
Details Example Schema
Name
Type
Required
Description
automation
object
yes
The id of the Automation to be cloned and, optionally, a name to assign to the clone.
Copied to Clipboard
{
"id": "bfd85545421eef4d822ae0a2",
"name": null
}
Return
Details Example Schema
Name
Type
Description
result
object
The result of the clone operation.
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "workflows",
"createdBy": "commodo cupidatat quis",
"created": "1997-12-20T12:08:31.725Z",
"lastUpdatedBy": "eiusmod incididunt",
"lastUpdated": "1948-06-27T18:48:42.009Z",
"_id": "9422a349833ebe5d028006d7",
"gbac": {
"write": [
"5c29d73748ddd31af7c12b0d"
],
"read": [
"da555882f8c238089b3b6809"
]
},
"componentId": "",
"componentName": "reprehenderit ut Lorem et"
},
"metadata": {
"automaticChanges": [
"irure tempor dolor ipsum",
"non commodo quis"
],
"triggerCloneResults": {
"message": "et commodo proident",
"data": [
{
"success": false,
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"type": "manual",
"enabled": true,
"actionType": "automations",
"actionId": "8d095d53b9afbb81b8e29a59",
"lastExecuted": null,
"createdBy": "nisi consequat anim",
"created": "1975-01-27T01:41:24.618Z",
"lastUpdatedBy": null,
"lastUpdated": "2024-02-15T16:10:07.797Z",
"formData": {
"deviceName": "ATL-123",
"action": "SYNC"
},
"_id": "0d83fea1436669eb597d49ac",
"formId": "36ca1fa56f27533bdacac987",
"migrationVersion": -72098974,
"formSchemaHash": null,
"legacyWrapper": true
},
"automaticChanges": [
"ut cupidatat",
"sit eiusmod non dolor cillum",
"ea Excepteur sit",
"ut eiusmod consectetur commodo",
"cillum mollit fugiat"
]
}
]
}
}
}
Copied to Clipboard
{
"title": "result",
"allOf": [
{
"$ref": "common-api#/definitions/success-response"
},
{
"type": "object",
"properties": {
"data": {
"$ref": "automation-api"
},
"metadata": {
"type": "object",
"properties": {
"automaticChanges": {
"type": "array",
"items": {
"title": "messages",
"type": "string",
"example": "Disabled trigger 628672e8f677b67b3b0f20d7"
}
},
"triggerCloneResults": {
"type": "object",
"properties": {
"message": {
"type": "string"
},
"metadata": {
"type": "object"
},
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"data": {
"$ref": "trigger-api"
},
"automaticChanges": {
"type": "array",
"items": {
"title": "messages",
"type": "string",
"example": "Disabled trigger 628672e8f677b67b3b0f20d7"
}
}
}
}
}
}
}
}
}
}
}
]
}